<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-295"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FGeneral%2FXHXExtention%2FXHXExtensionBlank.m%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/XHXExtention/XHXExtensionBlank.m 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_3d53dd88e59abdcd55a12c7e475393fb.html">General</a></li><li class="navelem"><a class="el" href="dir_75ef1552821c94bf02b2a1727d8d97ae.html">XHXExtention</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">XHXExtensionBlank.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_extension_blank_8m.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="interface_x_h_x_extension_blank.html#a9355c19bedce38104dc96d1e1b80cbe7">    1</a></span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  XHXExtensionBlank.m</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  KKLOnLine</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by Topredator on 2018/5/28.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//  Copyright &copy; 2018年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_x_h_x_extension_blank_8h.html">XHXExtensionBlank.h</a>&#34;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&nbsp; </div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&nbsp;<span class="keyword">@implementation </span><a class="code" href="interface_x_h_x_extension_blank.html">XHXExtensionBlank</a></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&nbsp; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&nbsp;+ (<a class="code" href="interface_x_h_x_text_blank_view.html">XHXTextBlankView</a> *)blankWithImage:(NSString *)imageName AttrString:(NSAttributedString *)attrString showIn:(UIView *)view {</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&nbsp;    <a class="code" href="interface_x_h_x_text_blank_view.html">XHXTextBlankView</a> *blank = [<a class="code" href="interface_x_h_x_extension_blank.html">XHXExtensionBlank</a> xhx_showTextBlankViewWithImage:[UIImage imageNamed:imageName] text:nil inView:view];</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&nbsp;    blank.<a class="code" href="interface_x_h_x_text_blank_view.html#ae2ab3c07287c4b8f0043b07d817ea5b5">textLabel</a>.attributedText = attrString;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&nbsp;    <span class="keywordflow">return</span> blank;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&nbsp;}</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&nbsp;+ (<a class="code" href="interface_x_h_x_text_blank_view.html">XHXTextBlankView</a> *)xhx_showTextBlankViewWithImage:(UIImage *)image text:(NSString *)text  inView:(UIView *)view{</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&nbsp;    <a class="code" href="interface_x_h_x_text_blank_view.html">XHXTextBlankView</a> *blank = [<a class="code" href="interface_x_h_x_text_blank_view.html">XHXTextBlankView</a> <a class="code" href="interface_x_h_x_blank_view.html#ae7d5dcd4b697e9ca3d9610255efb64e1">showInView</a>:view <a class="code" href="interface_x_h_x_blank_view.html#ae7d5dcd4b697e9ca3d9610255efb64e1">animated</a>:YES];</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&nbsp;    blank.<a class="code" href="interface_x_h_x_image_blank_view.html#a5a6138289eb5f89dbaf1307c5ed31f4d">imageView</a>.image = image;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&nbsp;    blank.<a class="code" href="interface_x_h_x_text_blank_view.html#ae2ab3c07287c4b8f0043b07d817ea5b5">textLabel</a>.text = text;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&nbsp;    <span class="keywordflow">return</span> blank;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&nbsp;}</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&nbsp;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_x_h_x_text_blank_view_html_ae2ab3c07287c4b8f0043b07d817ea5b5"><div class="ttname"><a href="interface_x_h_x_text_blank_view.html#ae2ab3c07287c4b8f0043b07d817ea5b5">XHXTextBlankView::textLabel</a></div><div class="ttdeci">UILabel * textLabel</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00066">XHXBlankView.h:66</a></div></div>
<div class="ttc" id="ainterface_x_h_x_extension_blank_html"><div class="ttname"><a href="interface_x_h_x_extension_blank.html">XHXExtensionBlank</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_extension_blank_8h_source.html#l00012">XHXExtensionBlank.h:13</a></div></div>
<div class="ttc" id="ainterface_x_h_x_text_blank_view_html"><div class="ttname"><a href="interface_x_h_x_text_blank_view.html">XHXTextBlankView</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00065">XHXBlankView.h:66</a></div></div>
<div class="ttc" id="a_x_h_x_extension_blank_8h_html"><div class="ttname"><a href="_x_h_x_extension_blank_8h.html">XHXExtensionBlank.h</a></div></div>
<div class="ttc" id="ainterface_x_h_x_image_blank_view_html_a5a6138289eb5f89dbaf1307c5ed31f4d"><div class="ttname"><a href="interface_x_h_x_image_blank_view.html#a5a6138289eb5f89dbaf1307c5ed31f4d">XHXImageBlankView::imageView</a></div><div class="ttdeci">UIImageView * imageView</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00055">XHXBlankView.h:55</a></div></div>
<div class="ttc" id="ainterface_x_h_x_blank_view_html_ae7d5dcd4b697e9ca3d9610255efb64e1"><div class="ttname"><a href="interface_x_h_x_blank_view.html#ae7d5dcd4b697e9ca3d9610255efb64e1">+[XHXBlankView showInView:animated:]</a></div><div class="ttdeci">instancetype showInView:animated:(UIView *view,[animated] BOOL animated)</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8m_source.html#l00015">XHXBlankView.m:79</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
制作者&nbsp;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>


</body></html>